- Home
- API Enriched
- Observability
- observability
- Update HTTP Monitor.
Update HTTP Monitor.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/v1_http_monitors/example';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"metadata":{"annotations":{},"description":"example","disable":true,"labels":{},"name":"example","namespace":"example"},"spec":{"delete":{"request_body":"example"},"external_sources":[{"aws":{"regions":["example"]},"f5xc":{"regions":["example"]}}],"follow_redirects":true,"get":{},"head":{},"health_policy":{"dynamic_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","std_dev_val":"STD_DEV_VAL_3"},"dynamic_threshold_disabled":{},"static_max_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","max_response_time":1},"static_max_threshold_disabled":{},"static_min_threshold":{"eval_period":"EVAL_PERIOD_3_MINS","min_response_time":1},"static_min_threshold_disabled":{}},"ignore_cert_errors":true,"interval_12_hours":{},"interval_15_mins":{},"interval_1_day":{},"interval_1_hour":{},"interval_1_min":{},"interval_30_mins":{},"interval_30_secs":{},"interval_5_mins":{},"interval_6_hours":{},"on_failure_count":1,"options":{},"patch":{"request_body":"example"},"post":{"request_body":"example"},"put":{"request_body":"example"},"receive":"example","request_headers":[{"key":"example","value":"example"}],"response_codes":["example"],"response_timeout":1,"sni_host":"example","source_critical_threshold":1,"url":"https://example.com"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/observability/synthetic_monitor/namespaces/example/v1_http_monitors/example \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "delete": { "request_body": "example" }, "external_sources": [ { "aws": { "regions": [ "example" ] }, "f5xc": { "regions": [ "example" ] } } ], "follow_redirects": true, "get": {}, "head": {}, "health_policy": { "dynamic_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "std_dev_val": "STD_DEV_VAL_3" }, "dynamic_threshold_disabled": {}, "static_max_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "max_response_time": 1 }, "static_max_threshold_disabled": {}, "static_min_threshold": { "eval_period": "EVAL_PERIOD_3_MINS", "min_response_time": 1 }, "static_min_threshold_disabled": {} }, "ignore_cert_errors": true, "interval_12_hours": {}, "interval_15_mins": {}, "interval_1_day": {}, "interval_1_hour": {}, "interval_1_min": {}, "interval_30_mins": {}, "interval_30_secs": {}, "interval_5_mins": {}, "interval_6_hours": {}, "on_failure_count": 1, "options": {}, "patch": { "request_body": "example" }, "post": { "request_body": "example" }, "put": { "request_body": "example" }, "receive": "example", "request_headers": [ { "key": "example", "value": "example" } ], "response_codes": [ "example" ], "response_timeout": 1, "sni_host": "example", "source_critical_threshold": 1, "url": "https://example.com" } }'Update HTTP Monitor.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
Name The configuration object to be replaced will be looked up by name.
Request Bodyrequired
Section titled “Request Bodyrequired”This is the input message of the ‘Replace’ RPC.
object
object
Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.
object
Human readable description for the object.
A value of true will administratively disable the object.
Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.
object
This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.
This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""
object
object
Ensure appropriate request headers are added based on the content type added here.
Internet facing monitor sources
Required: YES.
A location where a monitor runs.
object
object
A specific source location within AWS Required: YES.
object
A specific source location within F5 Distributed Cloud Required: YES.
Controls if the monitor will follow redirects while determining health.
object
object
object
object
object
object
The maximum response time value that must be exceeded before the monitor turns critical. Required: YES.
object
object
The minimum value that response time must fall below before the monitor turns critical. Required: YES.
object
Controls if an SSL error will result in a change of health status.
object
object
object
object
object
object
object
object
object
The number of times a monitor must fail before the global monitor changes health Required: YES.
object
object
Ensure appropriate request headers are added based on the content type added here.
object
Ensure appropriate request headers are added based on the content type added here.
object
Ensure appropriate request headers are added based on the content type added here.
The regex pattern that the monitor looks for in the returned resource. If the text string is returned, the monitor is healthy. Note, headers are not considered in the matching.
Configuration parameter for request headers
object
Required: YES.
Configuration parameter for value
HTTP response codes which will result in a healthy monitor. Use ”*” as a wildcard character. Required: YES.
The amount of time in milliseconds before the monitor considers a pending request to be a failure.
A string value which will override the default SNI host.
The number of provider-regions a monitor must fail from before the global monitor changes health Required: YES.
Required: YES.
Responses
Section titled “Responses”A successful response.
object
Examplegenerated
{}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example